variables:
  TESTING_IMAGE_TAGGED: $CI_REGISTRY/celduin/crash/docker-images/app-base:latest

stages:
  - test

test-jetbot-app-format:
  image: $TESTING_IMAGE_TAGGED
  tags:
    - docker-gpu
  stage: test
  script:
     - tox -e format

test-jetbot-app-test:
  image: $TESTING_IMAGE_TAGGED
  tags:
    - docker-gpu
  stage: test
  script:
     - tox -e py36

test-jetbot-app-pylint:
  image: $TESTING_IMAGE_TAGGED
  tags:
    - docker-gpu
  stage: test
  script:
     - tox -e pylint
